package com.dcsoft.system.ladder.service;

import com.dcsoft.system.ladder.domain.DeviceTreeVo;
import com.dcsoft.system.ladder.domain.TLadderConfig;

import java.util.List;

/**
 * 梯控基础配置Service接口
 *
 * @author dcsoft
 * @date 2023-12-26
 */
public interface ITLadderConfigService {
    /**
     * 查询梯控基础配置
     *
     * @param id 梯控基础配置主键
     * @return 梯控基础配置
     */
    public TLadderConfig selectTLadderConfigById(String id);

    /**
     * 查询梯控基础配置列表
     *
     * @param tLadderConfig 梯控基础配置
     * @return 梯控基础配置集合
     */
    public List<TLadderConfig> selectTLadderConfigList(TLadderConfig tLadderConfig);

    /**
     * 新增梯控基础配置
     *
     * @param tLadderConfig 梯控基础配置
     * @return 结果
     */
    public int insertTLadderConfig(TLadderConfig tLadderConfig);

    /**
     * 修改梯控基础配置
     *
     * @param tLadderConfig 梯控基础配置
     * @return 结果
     */
    public int updateTLadderConfig(TLadderConfig tLadderConfig);

    /**
     * 批量删除梯控基础配置
     *
     * @param ids 需要删除的梯控基础配置主键集合
     * @return 结果
     */
    public int deleteTLadderConfigByIds(String[] ids);

    /**
     * 删除梯控基础配置信息
     *
     * @param id 梯控基础配置主键
     * @return 结果
     */
    public int deleteTLadderConfigById(String id);

    /**
     * 查询设备树
     */
    List<DeviceTreeVo> queryDeviceTree();

    /**
     * 设备初始化
     */
    void deviceInitialize(TLadderConfig ladderConfig);
}
